Bug 908099 - gimp-normalmap not built with $RPM_OPT_FLAGS nor $RPM_LD_FLAGS
gimp-normalmap not built with $RPM_OPT_FLAGS nor $RPM_LD_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gimp-normalmap (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2013-02-05 16:31 EST by Ville Skyttä
Modified: 2013-04-11 06:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-11 06:04:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build with $RPM_OPT_FLAGS and $RPM_LD_FLAGS (725 bytes, patch)
2013-02-05 16:31 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-02-05 16:31:09 EST
Created attachment 693563 [details]
Build with $RPM_OPT_FLAGS and $RPM_LD_FLAGS

gimp-normalmap is not built with $RPM_OPT_FLAGS nor $RPM_LD_FLAGS. One quick and dirty way to fix this is attached.
Comment 1 Fedora Update System 2013-02-07 02:06:39 EST
gimp-normalmap-1.2.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-normalmap-1.2.3-3.fc17
Comment 2 Fedora Update System 2013-02-07 02:06:59 EST
gimp-normalmap-1.2.3-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-normalmap-1.2.3-3.fc18
Comment 3 Ville Skyttä 2013-02-07 06:12:25 EST
$RPM_LD_FLAGS are still not being used in 1.2.3-3.
Comment 4 Ville Skyttä 2013-02-07 06:16:41 EST
Additionally, the $RPM_OPT_FLAGS implementation in 1.2.3-3 is done so that -O3 overrides whatever -O level is in $RPM_OPT_FLAGS; doing so needs additional justification per the packaging guidelines.

http://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags
Comment 5 Fedora Update System 2013-02-08 12:00:50 EST
Package gimp-normalmap-1.2.3-3.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-normalmap-1.2.3-3.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-2147/gimp-normalmap-1.2.3-3.fc17
then log in and leave karma (feedback).
Comment 6 Patrick Uiterwijk 2013-03-23 04:53:30 EDT
The $RPM_LD_FLAGS is not mentioned anywhere in the guidelines for as far as I can find, could you point me to where you find this is required?

It also does not appear anywhere in the RPM macros list (http://fedoraproject.org/wiki/Packaging:RPMMacros), and the default definition in /usr/lib/rpm/macros (RPM_LD_FLAGS=\"%{?__global_ldflags}\"\) only makes it use any global variable named ldflags in the spec file.
Comment 7 Fedora Update System 2013-03-23 05:13:12 EDT
gimp-normalmap-1.2.3-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gimp-normalmap-1.2.3-4.fc17
Comment 8 Fedora Update System 2013-03-23 05:13:33 EDT
gimp-normalmap-1.2.3-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gimp-normalmap-1.2.3-4.fc18
Comment 9 Ville Skyttä 2013-03-23 17:30:12 EDT
%configure, %cmake etc use %__global_ldflags, just like they use %optflags. More info about it is for example at http://lists.fedoraproject.org/pipermail/devel/2011-August/155358.html

Anyway relro is now the default so not honoring $RPM_LD_FLAGS isn't that crucial at the moment, but support for it is certainly something that should be fixed so that any changes in $RPM_LD_FLAGS then apply to your package in the future as intended, especially when I believe it'd be simply a matter of:

-make %{?_smp_mflags} CFLAGS="%{optflags}"
+make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="$RPM_LD_FLAGS"

(or replace $RPM_LD_FLAGS with %{?__global_ldflags} if you want the macro style)
Comment 10 Fedora Update System 2013-03-23 19:54:15 EDT
Package gimp-normalmap-1.2.3-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gimp-normalmap-1.2.3-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4284/gimp-normalmap-1.2.3-4.fc17
then log in and leave karma (feedback).
Comment 11 Fedora End Of Life 2013-04-03 16:37:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 12 Fedora Update System 2013-04-11 06:04:23 EDT
gimp-normalmap-1.2.3-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-04-11 06:08:01 EDT
gimp-normalmap-1.2.3-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.